Bug 1374324 - [RFE] Tier Events
Summary: [RFE] Tier Events
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: tiering
Version: 3.9
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
Assignee: Milind Changire
QA Contact: bugs@gluster.org
URL:
Whiteboard:
Depends On:
Blocks: 1361068
TreeView+ depends on / blocked
 
Reported: 2016-09-08 12:46 UTC by Milind Changire
Modified: 2016-12-06 06:00 UTC (History)
10 users (show)

Fixed In Version: glusterfs-3.9.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1361068
Environment:
Last Closed: 2016-12-06 06:00:08 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Comment 1 Worker Ant 2016-09-08 12:47:20 UTC
REVIEW: http://review.gluster.org/15431 (cluster/tier: add tiering events) posted (#1) for review on release-3.9 by Milind Changire (mchangir@redhat.com)

Comment 2 Worker Ant 2016-09-09 05:48:55 UTC
COMMIT: http://review.gluster.org/15431 committed in release-3.9 by Aravinda VK (avishwan@redhat.com) 
------
commit 40135e9811efe2fb4cbdff302d5a2c461e4147d4
Author: Milind Changire <mchangir@redhat.com>
Date:   Mon Sep 5 21:51:19 2016 +0530

    cluster/tier: add tiering events
    
    Add events for:
    * tier attach and detach
    * tier pause and resume
    * tier rising and dropping hi and lo watermarks
    
    Update eventskeygen.py with tiering events.
    Update cli help with:
    * attach: add optional force argument
    * detach: make force available as non-optional argument on its own
    
    > Reviewed-on: http://review.gluster.org/15232
    > Smoke: Gluster Build System <jenkins@build.gluster.org>
    > NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    > CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    > Reviewed-by: Dan Lambright <dlambrig@redhat.com>
    > Tested-by: Dan Lambright <dlambrig@redhat.com>
    
    (cherry picked from commit cd23242b8953040b231f402c334f16520ac8029f)
    
    Change-Id: I43990d3a8742151a4a7889bafa19cb572fe661bd
    BUG: 1374324
    Signed-off-by: Milind Changire <mchangir@redhat.com>
    Reviewed-on: http://review.gluster.org/15431
    Tested-by: Atin Mukherjee <amukherj@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 3 Aravinda VK 2016-10-27 05:22:46 UTC
glusterfs-3.9.0rc2 is released[1] and packages are available for different distributions[2] to test.

[1] http://www.gluster.org/pipermail/maintainers/2016-October/001601.html
[2] http://www.gluster.org/pipermail/maintainers/2016-October/001605.html and http://www.gluster.org/pipermail/maintainers/2016-October/001606.html

Comment 4 Aravinda VK 2016-12-06 06:00:08 UTC
Gluster 3.9 GA is released http://blog.gluster.org/2016/11/announcing-gluster-3-9/


Note You need to log in before you can comment on or make changes to this bug.